もろはしです。

2010年1月8日16:19 NAKAMURA, Hiroshi <nakahiro / gmail.com>:
> いまいち問題を把握してない可能性もありますが、gitが$Id$展開しないからコケるんだけどgitからcloneしてもそのまま動くようにしてくれよ、ということでいいですかね?

はい。そうです。

> # trunkやruby_1_8で直って、ということはないはずですが。

trunkのほうはおなじような理由での修正だったみたいです。
"should handle the case that cvs/svn do  not expand $Id keyword.
[ruby-core:19991]"

> svn-git連携でうまいことできたりしないものなんでしょうか。

いちおう同様なキーワード展開の機能はあるようです。ただ、それぞれのscmで
$Id$の示すモノが違うというのがちょっと紛らわしいかな、とも思います。

http://progit.org/book/ja/ch7-2.html

このあたりを踏まえ、

- そもそもこれは修正対象か(githubのは自己責任でね、というスタンス)
- 直すとしてどう直すか?
-- 別ブランチへのパッチ取り込み
-- 上記.gitattributesやGitのフィルタを使うなど
-- logger..rbの該当箇所だけ別途修正

など、誰に何をお願いすればよいのか悩んでいるため相談させていただきました。